<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Carbon\Carbon;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
   // protected $redirectTo = RouteServiceProvider::STUDENTHOME;

public function redirectTo()
{
    if(Auth::user()->hasRole(['admin', 'super-admin'])){
        return RouteServiceProvider::ADMINHOME;
    }
    return RouteServiceProvider::STUDENTHOME;
}


    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    public function logout(Request $request)
    {
        Auth::logout();
        return redirect(route('login'));
    }

    // app/Http/Controllers/Auth/LoginController.php

    public function username()
    {
        return 'username';
    }

    protected function authenticated(Request $request, $user)
    {

        $user->last_seen_at = Carbon::now()->format('Y-m-d H:i:s');
        $user->save();
    }

}
