<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Post;
use Illuminate\Support\Facades\Auth;

class PostController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if(Auth::user()->hasRole(['admin', 'super-admin']))
            $posts = Post::where('is_read_admin', 0)->get();
            else
            $posts = Post::where([
                ['user_id', Auth::user()->id],
                ['is_read', 0]
            ])->get();
        if(Auth::user()->hasRole(['admin', 'super-admin']))
            return view('complain.posts.index', compact('posts'));
        return view('complain.posts.index2', compact('posts'));
    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('complain.posts.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'title'=>'required',
            'body'=>'required',
        ]);

        if(Auth::user()->hasRole(['admin', 'super-admin']))
            $field = 'is_admin_read';
         else
            $field = 'is_read';

      $post =  Post::create([
            'title'=> $request->title,
            'body'=> $request->body,
            'user_id' => Auth::user()->id
             ]);

             $post->$field = 1;
             $post->save();

        return redirect()->route('posts.show', $post->id);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $post = Post::find($id);
        if(Auth::user()->hasRole(['admin', 'super-admin']))
            return view('complain.posts.show', compact('post'));
        return view('complain.posts.show2', compact('post'));

    }
}
