<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use App\Payslip;
use Spatie\Permission\Traits\HasRoles;
use Spatie\Activitylog\Traits\LogsActivity;
use Illuminate\Database\Eloquent\Model;

class User extends Authenticatable
{
    use Notifiable, HasRoles, LogsActivity;

    protected $table = "users";

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'first_name', 'middle_name', 'last_name', 'username', 'email', 'password', 'last_seen_at'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

public function school(){
    return $this->belongsTo('App\School');
}

public function payslip(){
    return $this->hasMany('App\Payslip');
}

public function result(){
    return $this->hasMany(Result::class);
}

    public function posts() {

        return $this->hasMany(Post::class);

    }

    // user has many comments
    public function comments()
    {
        return $this->hasMany(Comment::class);
    }
    //log the changed attributes for all events on the fillables
    protected static $logFillable = true;

    //log only the changed attributes
    protected static $logOnlyDirty = true;

    //ignore empty logs
    protected static $submitEmptyLogs = false;

    //This method is used to customise event description
    public function getDescriptionForEvent(string $eventName): string
    {
        return "You have {$eventName} user";
    }

    protected static $logName = 'user';

}
