@extends('admin.layouts.master2')

@section('content')
    <div class="content-header">
        <div class="container">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">Lay Complain
                    </h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{route('student.dashboard')}}">Dashboard</a></li>
                        <li class="breadcrumb-item active">Lay Complain</li>
                    </ol>
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>

    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8">

                <div class="card card-sucress cardutline direct-chat direct-chat-success">
                    <div class="card-header">
                      <h3 class="card-title">{{ $post->title }}</h3>
      
                      <div class="card-tools">
                         <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                        </button>
                
                        <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i>
                        </button>
                      </div>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                      <!-- Conversations are loaded here -->
                      <div class="direct-chat-messages">
                        <!-- Message. Default to the left -->
                        <div class="direct-chat-msg">
                          <div class="direct-chat-infos clearfix">
                            <span class="direct-chat-name float-left">Alexander Pierce</span>
                            <span class="direct-chat-timestamp float-right">23 Jan 2:00 pm</span>
                          </div>
                          <!-- /.direct-chat-infos -->
                          <img class="direct-chat-img" src="../dist/img/user1-128x128.jpg" alt="Message User Image">
                          <!-- /.direct-chat-img -->
                          <div class="direct-chat-text">
                            {{ $post->body }}
                         </div>
                          <!-- /.direct-chat-text -->
                        </div>
                        <!-- /.direct-chat-msg -->
      
                        <!-- Message to the right -->
                        <div class="direct-chat-msg right">
                          <div class="direct-chat-infos clearfix">
                            <span class="direct-chat-name float-right">Sarah Bullock</span>
                            <span class="direct-chat-timestamp float-left">23 Jan 2:05 pm</span>
                          </div>
                          <!-- /.direct-chat-infos -->
                          <img class="direct-chat-img" src="../dist/img/user3-128x128.jpg" alt="Message User Image">
                          <!-- /.direct-chat-img -->
                          <div class="direct-chat-text">
                            You better believe it!
                          </div>
                          <!-- /.direct-chat-text -->
                        </div>
                        <!-- /.direct-chat-msg -->
                      </div>
                      <!--/.direct-chat-messages-->
      
                      <!-- Contacts are loaded here -->
                      <div class="direct-chat-contacts">
                        <ul class="contacts-list">
                          <li>
                            <a href="#">
                              <img class="contacts-list-img" src="../dist/img/user1-128x128.jpg">
      
                              <div class="contacts-list-info">
                                <span class="contacts-list-name">
                                  Count Dracula
                                  <small class="contacts-list-date float-right">2/28/2015</small>
                                </span>
                                <span class="contacts-list-msg">How have you been? I was...</span>
                              </div>
                              <!-- /.contacts-list-info -->
                            </a>
                          </li>
                          <!-- End Contact Item -->
                        </ul>
                        <!-- /.contatcts-list -->
                      </div>
                      <!-- /.direct-chat-pane -->
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                      <form action="#" method="post">
                        <div class="input-group">
                          <input type="text" name="message" placeholder="Type Message ..." class="form-control">
                          <span class="input-group-append">
                            <button type="submit" class="btn btn-success">Send</button>
                          </span>
                        </div>
                      </form>
                    </div>
                    <!-- /.card-footer-->
                  </div>

                <div class="card card-sucress cardutline direct-chat direct-chat-success">
                    <div class="card-header">
                        <h3 class="card-title">{{ $post->title }}</h3>
        
                        <div class="card-tools">
                           <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                          </button>
                  
                          <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i>
                          </button>
                        </div>
                      </div>
                    <div class="card-body">
                        <!-- Conversations are loaded here -->
                      <div class="direct-chat-messages">
                         <!-- Message. Default to the left -->
                        <div class="direct-chat-msg">
                            <div class="direct-chat-infos clearfix">
                            <span class="direct-chat-name float-left">{{Auth::user()->username}}</span>
                            <span class="direct-chat-timestamp float-right">{{$post->created_at->diffForHumans()}}</span>
                            </div>
                            <!-- /.direct-chat-infos -->
                            <img src="{{ asset('dist/img/user.png') }}" class="direct-chat-img" alt="Message User Image">

                            <!-- /.direct-chat-img -->
                            <div class="direct-chat-text">
                              {{ $post->body }}
                           </div>
                            <!-- /.direct-chat-text -->
                          </div>
                        @include('complain.posts.partials.commentsDisplay', ['comments' => $post->comments, 'post_id' => $post->id]) 
                      </div>
                    </div>
                    <div class="card-footer">
                        <form method="post" action="{{ route('comments.store') }}">
                            @csrf
                            <div class="form-group">
                                <textarea class="form-control" placeholder="Type Message ..." name="body"></textarea>
                                <input type="hidden" name="post_id" value="{{ $post->id }}" />
                            </div>
                            <div class="form-group">
                                <input type="submit" class="btn btn-success" value="Send" />
                            </div>
                        </form>
                      </div>
                </div>
            </div>
        </div>
    </div>
@endsection
