@extends('admin.layouts.master2')
@section('title')
    {{'Student Dashboard'}}
@endsection
@section('content')
        <!-- Content Header (Page header) -->
        <div class="content-header">
            <div class="container">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1 class="m-0 text-dark"> My Results
                        </h1>
                    </div><!-- /.col -->
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="{{route('student.dashboard')}}">Dashboard</a></li>
                            <li class="breadcrumb-item active">My Results</li>
                        </ol>
                    </div><!-- /.col -->
                </div><!-- /.row -->
                <div class="col-sm-12">
                    <div class="callout callout-success">
                        <div class="row">
                            @if($results->count()>0)
                            <div class="col-sm-8">
                                <h5><i class="fas fa-info"></i> Note:</h5>
                                <p> Click on the <span style="font-weight: bolder">session</span>, then the<span
                                    style="font-weight: bolder"> Semester</span> to view your Result.</p>
                            </div>
                            <div class="col-sm-4">
                                 <p>Click <a href="{{route('posts.create')}}"><b>HERE</b></a>  to lay complain regards your results</p>
                            </div>
                                @else
                            <h3>Your results are not available yet</h3>
                                @endif
                        </div>

                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </div>

        <!-- /.content-header -->
        @php
        $last_row_columns = fmod($session_count, 4);
        $intDiv = intdiv($session_count, 4);
        $rows = 0;
    @endphp
    <!-- Main content -->

        <div class="content">
            <div class="container">
                @for($i = 1; $i <= $intDiv; ++$i )
                    <div class="row">
                        @for($j = 0; $j < 4; ++$j )
                            <div class="col-md-3">
                                <div id="accordion">
                                    <div class="card" style="background: #1e7e34;">
                                        <div class="card-header">
                                            <h3 class="card-title">
                                                <a class="d-block w-100" data-toggle="collapse" href="#collapseThree" style="color: white;">
                                                    {{ $mat_sessions[$rows][$j] }}/{{ $mat_sessions[$rows][$j] + 1 }}
                                                </a>
                                            </h3>
                                            <!-- /.card-tools -->
                                        </div>
                                        <!-- /.card-header -->
                                        <div id="collapseThree" class="collapse" data-parent="#accordion">
                                            <div class="card-body p-0">
                                                <ul class="nav flex-column" style="background: white;">
                                                    @foreach($results as $result)
                                                        @if($mat_sessions[$rows][$j] == $result->session)
                                                            @php
                                                                $semester = $result->semester;
                                                                if ($semester == 1)
                                                                    $sem = 'January';
                                                                    elseif ($semester == 2)
                                                                    $sem = 'May';
                                                                    elseif ($semester == 3)
                                                                    $sem = 'September';
                                                                    else
                                                                    $sem = '';
                                                               // $semester = ucwords($month);
                                                            @endphp
                                                            <li class="nav-item">
                                                                @if($semester == 1)
                                                                    <a href="{{ route('result.show',['session' => $result->session, 'semester' => $result->semester]) }}"
                                                                       target="_blank" class="nav-link">
                                                                        {{ $sem }}
                                                                    </a>
                                                                @elseif($semester == 2)
                                                                    <a href="{{ route('result.show',['session' => $result->session, 'semester' => $result->semester]) }}"
                                                                       target="_blank" class="nav-link">
                                                                        {{ $sem }}
                                                                    </a>
                                                                @elseif($semester == 3)
                                                                    <a href="{{ route('result.show',['session' => $result->session, 'semester' => $result->semester]) }}"
                                                                       target="_blank" class="nav-link">
                                                                        {{ $sem }}
                                                                    </a>
                                                                @endif
                                                            </li>
                                                        @endif
                                                    @endforeach
                                                </ul>
                                            </div>
                                        </div>
                                        <!-- /.card-body -->
                                    </div>
                                </div>
                                <!-- /.card -->
                            </div><!-- /.col -->
                        @endfor
                        @php $rows++; @endphp

                    </div><!-- /.row -->
                @endfor
                @if($last_row_columns > 0)
                    <div class="row">
                        @for($j = 0; $j < $last_row_columns; ++$j )
                            <div class="col-md-3">
                                <div id="accordion">
                                    <div class="card" style="background: #1e7e34;">
                                        <div class="card-header">
                                            <h3 class="card-title">
                                                <a class="d-block w-100" data-toggle="collapse" href="#collapseThree" style="color: white;">
                                                    {{ $mat_sessions[$rows][$j] }}
                                                    /{{ $mat_sessions[$rows][$j] + 1 }}
                                                </a>
                                            </h3>
                                            <!-- /.card-tools -->
                                        </div>
                                        <!-- /.card-header -->
                                        <div id="collapseThree" class="collapse" data-parent="#accordion">
                                            <div class="card-body p-0">
                                                <ul class="nav flex-column" style="background: white;>
                                                    @foreach($results as $result)
                                                        @if($mat_sessions[$rows][$j] == $result->session)
                                                            @php
                                                                $semester = $result->semester;

                                                                 if ($semester == 1)
                                                                        $sem = 'January';
                                                                        elseif ($semester == 2)
                                                                        $sem = 'May';
                                                                        elseif ($semester == 3)
                                                                        $sem = 'September';
                                                                        else
                                                                        $sem = '';

                                                                //$month = ucwords($month);
                                                            @endphp
                                                            <li class="nav-item">
                                                                @if($semester == 1)
                                                                    <a href="{{ route('result.show',['session' => $result->session, 'semester' => $result->semester]) }}"
                                                                       target="_blank" class="nav-link">
                                                                        {{ $sem }}
                                                                    </a>
                                                                @elseif($semester == 2)
                                                                    <a href="{{ route('result.show',['session' => $result->session, 'semester' => $result->semester]) }}"
                                                                       target="_blank" class="nav-link">
                                                                        {{ $sem }}
                                                                    </a>
                                                                @elseif($semester == 3)
                                                                    <a href="{{ route('result.show',['session' => $result->session, 'semester' => $result->semester]) }}"
                                                                       target="_blank" class="nav-link">
                                                                        {{ $sem }}
                                                                    </a>
                                                                @endif
                                                            </li>
                                                        @endif
                                                    @endforeach
                                                </ul>
                                            </div>
                                        </div>
                                        <!-- /.card-body -->
                                    </div>
                                </div>
                                <!-- /.card -->
                            </div><!-- /.col -->
                        @endfor
                    </div><!-- /.row -->
                @endif
            </div><!-- /.container-fluid -->
        </div>
        <!-- /.content -->
 @endsection
