<?php $__env->startSection('content'); ?>
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Upload Results</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#">Results</a></li>
                        <li class="breadcrumb-item active">Upload Results</li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <!-- left column -->
                <div class="offset-3 col-md-6">

                    <div class="overlay-wrapper">
                        <div class="overlay dark" id="spiner" style="display: none;">
                            <i class="fas fa-3x fa-sync-alt fa-spin"></i>
                        </div>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('upload-results')): ?>
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">Upload Result</h3>
                                </div>
                                <!-- /.card-header -->
                                <div class="card-body">
                                    <form name="resultForm" id="resultForm" method="POST"
                                          enctype="multipart/form-data">
                                        <div class="form-group">
                                            <!-- <label for="customFile">Custom File</label> -->

                                            <div class="custom-file">
                                                <input type="file" class="custom-file-input" id="file"
                                                       name="file">
                                                <label class="custom-file-label" for="fileToUpload">Please upload a
                                                    valid excel or csv
                                                    file.</label>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                        </div>
                                    </form>
                                    <div class="alert alert-danger alert-dismissible" style="display:none">
                                    </div>
                                </div>
                                <!-- /.card-body -->
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary" id="upload" style="background: #1e7e34; color: white">Submit</button>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>

                </div>
            </div>
            <!-- /.row -->
        </div><!-- /.container-fluid -->
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
    <!-- bs-custom-file-input -->
    <script src="<?php echo e(asset('plugins/bs-custom-file-input/bs-custom-file-input.min.js')); ?>"></script>
    <script>
        $(function () {
            bsCustomFileInput.init();
        });
    </script>
    <script type="text/javascript">

        $(document).ready(function () {
            //ajax setup
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            // create new school
            $('#upload').click(function (event) {
                event.preventDefault();
                $('.alert-danger').html('');
                $('.alert-danger').hide();
                // Get form
                var form = $('#resultForm')[0];
                // Create an FormData object
                var formdata = new FormData(form);
                // disabled the submit button
                $("#upload").prop("disabled", true);

                $("#spiner").show();
                $.ajax({
                    url: "<?php echo e(route('admin.result.create')); ?>",
                    method: "POST",
                    data: formdata,
                    contentType: false,
                    cache: false,
                    processData: false,
                    success: function (data) {
                        $("#spiner").hide();
                         if ($.isEmptyObject(data.errors)) {
                            Swal.fire({
                                position: 'top-center',
                                icon: 'success',
                                title: data.message
                                //showConfirmButton: false,
                                //timer: 1500
                            });
                        } else {
                            $('.alert-danger').show();
                            $.each(data.errors, function (key, value) {
                                $('.alert-danger').append('<p class="mb-0">' + value + '</p>');
                            });
                        }
                        $("#upload").prop("disabled", false);
                    }
                })
            });

        });

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Software Development\dlcresultchecker\resources\views/admin/pages/uploadresults.blade.php ENDPATH**/ ?>